indexing
	description: "Inputs to Mealy automata"
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	BIT_VECTOR
inherit
	ARRAY[BOOLEAN]
create
	make

feature -- Conversion
	to_integer: INTEGER is
			-- Integer who's binary representation is `Current'
		local
			i, s: INTEGER
		do
			from
				Result := 0
				i := upper
				s := 1
			until
				i < lower
			loop
				if item(i) then
					Result := Result + s
				end
				s := s |<< 1
				i := i - 1
			end
		end

	as_integer(n: INTEGER) is
			-- Make `Current' a binary representation of `x'
		require
			n_not_negative: n >= 0
			n_not_too_large: n < 2^count
		local
			i, s: INTEGER
		do
			from
				i := upper
				s := n
			until
				i < lower
			loop
				if (s & 1).to_boolean then
					put (True, i)
				else
					put (False, i)
				end
				s := s |>> 1
				i := i - 1
			end

		end
end
