class
	PLANE_POSITION
create
	make

feature -- Basic operation
	make is
			-- Create
		do
			values_counted := 0
			create pos
			create vel
		end
	add (x, y, z, vx, vy, vz: REAL) is
			-- Count one more value
		do
			pos.set_value ((pos.x_value * values_counted + x) / (values_counted + 1), (pos.y_value * values_counted + y) / (values_counted + 1), (pos.z_value * values_counted + z) / (values_counted + 1))
			vel.set_value ((vel.x_value * values_counted + vx) / (values_counted + 1), (vel.y_value * values_counted + vy) / (values_counted + 1), (vel.z_value * values_counted + vz) / (values_counted + 1))
			values_counted := values_counted + 1
		end
	save_to_file (f: PLAIN_TEXT_FILE) is
			-- Save value to file
		do
			f.put_real (pos.x_value)
			f.put_character (' ')
			f.put_real (pos.y_value)
			f.put_character (' ')
			f.put_real (pos.z_value)
			f.put_character (' ')
			f.put_real (vel.x_value)
			f.put_character (' ')
			f.put_real (vel.y_value)
			f.put_character (' ')
			f.put_real (vel.z_value)
			f.put_character (' ')
			f.put_integer (values_counted)
			f.put_new_line
		end
	load_from_file (f: PLAIN_TEXT_FILE) is
			-- Load value from file
		local
			a, b, c: REAL
		do
			f.read_real
			a := f.last_real
			f.read_real
			b := f.last_real
			f.read_real
			c := f.last_real
			pos.set_value (a, b, c)
			f.read_real
			a := f.last_real
			f.read_real
			b := f.last_real
			f.read_real
			c := f.last_real
			vel.set_value (a, b, c)
			f.read_integer
			values_counted := f.last_integer
		end



feature -- Implementation
	values_counted: INTEGER
	pos: VECTOR
	vel: VECTOR

end
