indexing
	description: "Control object with fitness"
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	GENETIC_CONTROL_OBJECT

inherit
	CONTROL_OBJECT

feature -- Measurement
	fitness: REAL is
			-- Calculate fitness
		deferred
		end

	timeout: BOOLEAN is
		deferred
		end

	default_step_count: INTEGER is
			-- Proper step count dependent on model parameters
			-- (such that fitness will have representative value after this number of steps)
		deferred
		end

feature -- Miscellaneous
	notify_of_new_generation is
			-- Probably change some parameters to make evolving controller less specific
		deferred
		end

invariant
	default_step_count_positive: default_step_count > 0
end
