indexing
	description: "Genetic code of Mealy automaton state"
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	GENETIC_STATE

inherit
	GENETIC_CODE

	STATE

feature -- Status report
	is_compatible_with (other: like Current): BOOLEAN is
			-- Can `Current' and `other' have chilren?
		do
			Result := (predicate_count = other.predicate_count) and then
			(action_count = other.action_count) and then
			(state_count = other.state_count)
				-- Last condition may be removed if evolving state count is implemented
		ensure then
			compatible_definition: Result = (predicate_count = other.predicate_count) and then
			(action_count = other.action_count) and then
			(state_count = other.state_count)
				-- Last condition may be removed if evolving state count is implemented
		end

end
